------------------------------------------------------------------------------------------
-- FCT file
-- Written by Homeopatix
-- 26 january 2021
------------------------------------------------------------------------------------------
function PositionChangedWindow()
	------------------------------------------------------------------------------------------
	-- if the position changes, save the new window location
	------------------------------------------------------------------------------------------
	AltHolicWindow.PositionChanged = function( sender, args )
    	local x,y = AltHolicWindow:GetPosition();
    	settings["windowPosition"]["xPos"] = x;
    	settings["windowPosition"]["yPos"] = y;
	end
end
------------------------------------------------------------------------------------------
-- event handling
------------------------------------------------------------------------------------------
function EscapeKeyHandler()
	AltHolicWindow.KeyDown=function(sender, args)
		if ( args.Action == Turbine.UI.Lotro.Action.Escape ) then
			if(settings["escEnable"]["escEnable"] == true) then
				AltHolicWindow:SetVisible(false);
				settings["isWindowVisible"]["isWindowVisible"] = false;
			end
			UIShowBag:SetVisible(false);
			settings["isShowBagVisible"]["isShowBagVisible"] = false;
			OptionsWindow:SetVisible(false);
			settings["isOptionsWindowVisible"]["isOptionsWindowVisible"] = false;
			UIShowVault:SetVisible(false);
			settings["isShowVaultVisible"]["isShowVaultVisible"] = false;
			UIShowSharedStorage:SetVisible(false);
			settings["isShowSharedStorageVisible"]["isShowSharedStorageVisible"] = false;
			UIShowEquip:SetVisible(false);
			settings["isShowEquipmentVisible"]["isShowEquipmentVisible"] = false;
			UIShowSearch:SetVisible(false);
			settings["isSearchWindowVisible"]["isSearchWindowVisible"] = false;

		end
	
		-- https://www.lotro.com/forums/showthread.php?493466-How-to-hide-a-window-on-F12&p=6581962#post6581962
		if ( args.Action == 268435635 ) then
			hudVisible=not hudVisible;
			if hudVisible then
				AltHolicWindow:SetVisible(false);
				MainMinimizedIcon:SetVisible(false);
			else
				AltHolicWindow:SetVisible(settings.isWindowVisible);
				MainMinimizedIcon:SetVisible(true);
			end
		end
	end
end
------------------------------------------------------------------------------------------
--function to display the backpack window --
------------------------------------------------------------------------------------------
function DisplayBag(i, posx, posy, vocationToShow)
	if(settings["nameAccount"]["account1"]["nbrAlt"] ~= 0)then
		BagsIcons = {0x410FC45F, --  ecplorateur 
						0x410F467E, --  joaillier
						0x410F4682, --  franc-tenancier
						0x410F4684, --  historien 
						0x410F4688, --  armurier
						0x410F4686, --  bucheron 
						0x410F4680}; --  feronnier

			buttonBag = Turbine.UI.Extensions.SimpleWindow();
			buttonBag:SetParent( AltHolicWindow );
			buttonBag:SetPosition(posx + 248, posy + 30);
			buttonBag:SetSize( 32, 32 );
			if(PlayerDatas[i].align == 1)then
				if(settings["displayClassBags"]["value"] == true)then
					buttonBag:SetBackground(BagsIcons[vocationToShow]);
				else
					buttonBag:SetBackground(0x410FC45F);
				end
			else
				buttonBag:SetBackground(0x410F4B84);  -- 0x410F2D43   ---   0x410F4B84 --- 0x4100E9EE
			end
			buttonBag:SetMouseVisible(true);
			buttonBag:SetVisible(true);
			buttonBag:SetZOrder(10);

			buttonBag.MouseClick = function()
				if(settings["isShowBagVisible"]["isShowBagVisible"] == true )then
					settings["isShowBagVisible"]["isShowBagVisible"] = false;
					UIShowBag:SetVisible(false);
				else
					SavePlayerBags();
					CreateUIShowBag(i);
					settings["isShowBagVisible"]["isShowBagVisible"] = true;
					UIShowBag:SetVisible(true);
				end
			end
	end
end
------------------------------------------------------------------------------------------
--function to display the vault window --
------------------------------------------------------------------------------------------
function DisplayVault(i, posx, posy, vocationToShow)
	if(settings["nameAccount"]["account1"]["nbrAlt"] ~= 0)then
		VaultIcons = {0x4110149D, --  ecplorateur 
						0x41101482, --  joaillier
						0x4110147B, --  franc-tenancier
						0x41101481, --  historien 
						0x4110148B, --  armurier
						0x4110149C, --  bucheron 
						0x41101480}; --  feronnier


			buttonVault = Turbine.UI.Extensions.SimpleWindow();
			buttonVault:SetParent( AltHolicWindow );
			buttonVault:SetPosition(posx + 220, posy + 30);
			buttonVault:SetSize( 32, 32 );
			if(PlayerDatas[i].align == 1)then
				--buttonVault:SetBackground(VaultIcons[vocationToShow]);
				buttonVault:SetBackground(0x410E76AE);
			end
			buttonVault:SetMouseVisible(true);
			buttonVault:SetVisible(true);
			buttonVault:SetZOrder(10);

			buttonVault.MouseClick = function()
				if(settings["isShowVaultVisible"]["isShowVaultVisible"] == true )then
					settings["isShowVaultVisible"]["isShowVaultVisible"] = false;
					UIShowVault:SetVisible(false);
				else
					CreateUIShowVault(i);
					settings["isShowVaultVisible"]["isShowVaultVisible"] = true;
					UIShowVault:SetVisible(true);
				end
			end
	end
end
------------------------------------------------------------------------------------------
--function to display the cash --
------------------------------------------------------------------------------------------
function DisplayCash(totalCash)
	gold = math.floor( totalCash / 100000);
	silver = math.floor( totalCash / 100) - gold * 1000;
	copper = totalCash - gold * 100000 - silver * 100;
	local valToAdd = 0;

	if(settings["displaySpentCash"]["value"] == true)then
		valToAdd = 50;
	else
		valToAdd = (-10);
	end

	LabelGold = Turbine.UI.Label(); 
	LabelGold:SetParent( AltHolicWindow );
	LabelGold:SetPosition(AltHolicWindow:GetWidth()/2 - 100, AltHolicWindow:GetHeight() - (70 + valToAdd));
	LabelGold:SetSize( 27, 21 );
	LabelGold:SetVisible(true);
	LabelGold:SetBackground(0x41007e7b);
	LabelGold:SetZOrder(-1);
	LabelGold:SetBlendMode( Turbine.UI.BlendMode.Overlay );

	AltHolicWindow.Message1=Turbine.UI.Label(); 
	AltHolicWindow.Message1:SetParent(AltHolicWindow); 
	AltHolicWindow.Message1:SetSize(120, 30); 
	AltHolicWindow.Message1:SetPosition(AltHolicWindow:GetWidth()/2 - 70, AltHolicWindow:GetHeight() - (76 + valToAdd)); 
	AltHolicWindow.Message1:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft); 
	AltHolicWindow.Message1:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
	AltHolicWindow.Message1:SetText(string.format( "%.0f", gold)); 
	AltHolicWindow.Message1:SetForeColor(Turbine.UI.Color.Gold);

	LabelGold = Turbine.UI.Label(); 
	LabelGold:SetParent( AltHolicWindow );
	LabelGold:SetPosition(AltHolicWindow:GetWidth()/2 - 23, AltHolicWindow:GetHeight() - (70 + valToAdd));
	LabelGold:SetSize( 27, 21 );
	LabelGold:SetVisible(true);
	LabelGold:SetBackground(0x41007e7c);
	LabelGold:SetZOrder(-1);
	LabelGold:SetBlendMode( Turbine.UI.BlendMode.Overlay );

	AltHolicWindow.Message2=Turbine.UI.Label();  
	AltHolicWindow.Message2:SetParent(AltHolicWindow); 
	AltHolicWindow.Message2:SetSize(120, 30); 
	AltHolicWindow.Message2:SetPosition(AltHolicWindow:GetWidth()/2 + 7, AltHolicWindow:GetHeight() - (76 + valToAdd)); 
	AltHolicWindow.Message2:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft); 
	AltHolicWindow.Message2:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
	AltHolicWindow.Message2:SetText(string.format( "%.0f", silver));
	AltHolicWindow.Message2:SetForeColor(Turbine.UI.Color.Silver);

	LabelGold = Turbine.UI.Label(); 
	LabelGold:SetParent( AltHolicWindow );
	LabelGold:SetPosition(AltHolicWindow:GetWidth()/2 + 54, AltHolicWindow:GetHeight() - (70 + valToAdd));
	LabelGold:SetSize( 27, 21 );
	LabelGold:SetVisible(true);
	LabelGold:SetBackground(0x41007e7d);
	LabelGold:SetZOrder(-1);
	LabelGold:SetBlendMode( Turbine.UI.BlendMode.Overlay );

	AltHolicWindow.Message3=Turbine.UI.Label(); 
	AltHolicWindow.Message3:SetParent(AltHolicWindow); 
	AltHolicWindow.Message3:SetSize(120, 30); 
	AltHolicWindow.Message3:SetPosition(AltHolicWindow:GetWidth()/2 + 84, AltHolicWindow:GetHeight() - (76 + valToAdd)); 
	AltHolicWindow.Message3:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft); 
	AltHolicWindow.Message3:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
	AltHolicWindow.Message3:SetText(string.format( "%.0f", copper));
	AltHolicWindow.Message3:SetForeColor(Turbine.UI.Color( 0.8, 0.4, 0.2));
	--- end of cash displayer
end
------------------------------------------------------------------------------------------
--function to display the session cash --
------------------------------------------------------------------------------------------
function DisplaySessionCash()
	currentCash = 0;
	currentCash = settings["sessionCash"]["cashSession"];

	local valToAdd = 0;

	if(settings["displaySpentCash"]["value"] == true)then
		valToAdd = 10;

		AltHolicWindow.Message=Turbine.UI.Label(); 
		AltHolicWindow.Message:SetParent(AltHolicWindow); 
		AltHolicWindow.Message:SetSize(300, 30); 
		AltHolicWindow.Message:SetPosition(AltHolicWindow:GetWidth()/2 - 150, AltHolicWindow:GetHeight() - (85 + valToAdd)); 
		AltHolicWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
		AltHolicWindow.Message:SetFont(Turbine.UI.Lotro.Font.Verdana16);
		AltHolicWindow.Message:SetText(Strings.PluginCashWindow3); 

		AltHolicWindow.Message=Turbine.UI.Label(); 
		AltHolicWindow.Message:SetParent(AltHolicWindow); 
		AltHolicWindow.Message:SetSize(300, 30); 
		AltHolicWindow.Message:SetPosition(AltHolicWindow:GetWidth()/2 - 150, AltHolicWindow:GetHeight() - (78 + valToAdd)); 
		AltHolicWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
		AltHolicWindow.Message:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
		AltHolicWindow.Message:SetText("___________________________________________________________________________________"); 
		AltHolicWindow.Message:SetForeColor(Turbine.UI.Color.Blue);
	end


	if(currentCash < 0)then
		currentCash = 0;
	end

		gold = math.floor( currentCash / 100000);
		silver = math.floor( currentCash / 100) - gold * 1000;
		copper = currentCash - gold * 100000 - silver * 100;

		LabelGold = Turbine.UI.Label(); 
		LabelGold:SetParent( AltHolicWindow );
		LabelGold:SetPosition(AltHolicWindow:GetWidth()/2 - 100, AltHolicWindow:GetHeight() - (55 + valToAdd));
		LabelGold:SetSize( 27, 21 );
		LabelGold:SetVisible(true);
		LabelGold:SetBackground(0x41007e7b);
		LabelGold:SetZOrder(-1);
		LabelGold:SetBlendMode( Turbine.UI.BlendMode.Overlay );

		AltHolicWindow.Message1=Turbine.UI.Label(); 
		AltHolicWindow.Message1:SetParent(AltHolicWindow); 
		AltHolicWindow.Message1:SetSize(120, 30); 
		AltHolicWindow.Message1:SetPosition(AltHolicWindow:GetWidth()/2 - 70, AltHolicWindow:GetHeight() - (61 + valToAdd)); 
		AltHolicWindow.Message1:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft); 
		AltHolicWindow.Message1:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
		AltHolicWindow.Message1:SetText(string.format( "%.0f", gold)); 
		AltHolicWindow.Message1:SetForeColor(Turbine.UI.Color.Gold);

		LabelGold = Turbine.UI.Label(); 
		LabelGold:SetParent( AltHolicWindow );
		LabelGold:SetPosition(AltHolicWindow:GetWidth()/2 - 23, AltHolicWindow:GetHeight() - (55 + valToAdd));
		LabelGold:SetSize( 27, 21 );
		LabelGold:SetVisible(true);
		LabelGold:SetBackground(0x41007e7c);
		LabelGold:SetZOrder(-1);
		LabelGold:SetBlendMode( Turbine.UI.BlendMode.Overlay );

		AltHolicWindow.Message2=Turbine.UI.Label();  
		AltHolicWindow.Message2:SetParent(AltHolicWindow); 
		AltHolicWindow.Message2:SetSize(120, 30); 
		AltHolicWindow.Message2:SetPosition(AltHolicWindow:GetWidth()/2 + 7, AltHolicWindow:GetHeight() - (61 + valToAdd)); 
		AltHolicWindow.Message2:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft); 
		AltHolicWindow.Message2:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
		AltHolicWindow.Message2:SetText(string.format( "%.0f", silver));
		AltHolicWindow.Message2:SetForeColor(Turbine.UI.Color.Silver);

		LabelGold = Turbine.UI.Label(); 
		LabelGold:SetParent( AltHolicWindow );
		LabelGold:SetPosition(AltHolicWindow:GetWidth()/2 + 54, AltHolicWindow:GetHeight() - (55 + valToAdd));
		LabelGold:SetSize( 27, 21 );
		LabelGold:SetVisible(true);
		LabelGold:SetBackground(0x41007e7d);
		LabelGold:SetZOrder(-1);
		LabelGold:SetBlendMode( Turbine.UI.BlendMode.Overlay );

		AltHolicWindow.Message3=Turbine.UI.Label(); 
		AltHolicWindow.Message3:SetParent(AltHolicWindow); 
		AltHolicWindow.Message3:SetSize(120, 30); 
		AltHolicWindow.Message3:SetPosition(AltHolicWindow:GetWidth()/2 + 84, AltHolicWindow:GetHeight() - (61 + valToAdd)); 
		AltHolicWindow.Message3:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft); 
		AltHolicWindow.Message3:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
		AltHolicWindow.Message3:SetText(string.format( "%.0f", copper));
		AltHolicWindow.Message3:SetForeColor(Turbine.UI.Color( 0.8, 0.4, 0.2));

		AltHolicWindow.Message4=Turbine.UI.Label(); 
		AltHolicWindow.Message4:SetParent(AltHolicWindow); 
		AltHolicWindow.Message4:SetSize(100, 30); 
		AltHolicWindow.Message4:SetPosition(AltHolicWindow:GetWidth()/2 - 195, AltHolicWindow:GetHeight() - (61 + valToAdd)); 
		AltHolicWindow.Message4:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight); 
		AltHolicWindow.Message4:SetFont(Turbine.UI.Lotro.Font.Verdana16);
		AltHolicWindow.Message4:SetText(Strings.PluginCashWindow4);
		--- end of cash displayer
end
------------------------------------------------------------------------------------------
--function to display the session cash --
------------------------------------------------------------------------------------------
function DisplaySpentCash()
		spentCash = 0;
		spentCash = settings["sessionCash"]["cashSpent"];

		gold = math.floor( spentCash / 100000);
		silver = math.floor( spentCash / 100) - gold * 1000;
		copper = spentCash - gold * 100000 - silver * 100;

		LabelGold = Turbine.UI.Label(); 
		LabelGold:SetParent( AltHolicWindow );
		LabelGold:SetPosition(AltHolicWindow:GetWidth()/2 - 100, AltHolicWindow:GetHeight() - 45);
		LabelGold:SetSize( 27, 21 );
		LabelGold:SetVisible(true);
		LabelGold:SetBackground(0x41007e7b);
		LabelGold:SetZOrder(-1);
		LabelGold:SetBlendMode( Turbine.UI.BlendMode.Overlay );

		AltHolicWindow.Message1=Turbine.UI.Label(); 
		AltHolicWindow.Message1:SetParent(AltHolicWindow); 
		AltHolicWindow.Message1:SetSize(120, 30); 
		AltHolicWindow.Message1:SetPosition(AltHolicWindow:GetWidth()/2 - 70, AltHolicWindow:GetHeight() - 51); 
		AltHolicWindow.Message1:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft); 
		AltHolicWindow.Message1:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
		AltHolicWindow.Message1:SetText(string.format( "%.0f", gold)); 
		AltHolicWindow.Message1:SetForeColor(Turbine.UI.Color.Gold);

		LabelGold = Turbine.UI.Label(); 
		LabelGold:SetParent( AltHolicWindow );
		LabelGold:SetPosition(AltHolicWindow:GetWidth()/2 - 23, AltHolicWindow:GetHeight() - 45);
		LabelGold:SetSize( 27, 21 );
		LabelGold:SetVisible(true);
		LabelGold:SetBackground(0x41007e7c);
		LabelGold:SetZOrder(-1);
		LabelGold:SetBlendMode( Turbine.UI.BlendMode.Overlay );

		AltHolicWindow.Message2=Turbine.UI.Label();  
		AltHolicWindow.Message2:SetParent(AltHolicWindow); 
		AltHolicWindow.Message2:SetSize(120, 30); 
		AltHolicWindow.Message2:SetPosition(AltHolicWindow:GetWidth()/2 + 7, AltHolicWindow:GetHeight() - 51); 
		AltHolicWindow.Message2:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft); 
		AltHolicWindow.Message2:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
		AltHolicWindow.Message2:SetText(string.format( "%.0f", silver));
		AltHolicWindow.Message2:SetForeColor(Turbine.UI.Color.Silver);

		LabelGold = Turbine.UI.Label(); 
		LabelGold:SetParent( AltHolicWindow );
		LabelGold:SetPosition(AltHolicWindow:GetWidth()/2 + 54, AltHolicWindow:GetHeight() - 45);
		LabelGold:SetSize( 27, 21 );
		LabelGold:SetVisible(true);
		LabelGold:SetBackground(0x41007e7d);
		LabelGold:SetZOrder(-1);
		LabelGold:SetBlendMode( Turbine.UI.BlendMode.Overlay );

		AltHolicWindow.Message3=Turbine.UI.Label(); 
		AltHolicWindow.Message3:SetParent(AltHolicWindow); 
		AltHolicWindow.Message3:SetSize(120, 30); 
		AltHolicWindow.Message3:SetPosition(AltHolicWindow:GetWidth()/2 + 84, AltHolicWindow:GetHeight() - 51); 
		AltHolicWindow.Message3:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft); 
		AltHolicWindow.Message3:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
		AltHolicWindow.Message3:SetText(string.format( "%.0f", copper));
		AltHolicWindow.Message3:SetForeColor(Turbine.UI.Color( 0.8, 0.4, 0.2));

		AltHolicWindow.Message4=Turbine.UI.Label(); 
		AltHolicWindow.Message4:SetParent(AltHolicWindow); 
		AltHolicWindow.Message4:SetSize(100, 30); 
		AltHolicWindow.Message4:SetPosition(AltHolicWindow:GetWidth()/2 - 195, AltHolicWindow:GetHeight() - 51); 
		AltHolicWindow.Message4:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight); 
		AltHolicWindow.Message4:SetFont(Turbine.UI.Lotro.Font.Verdana16);
		AltHolicWindow.Message4:SetText(Strings.PluginCashWindow5);
		--- end of cash displayer
end
------------------------------------------------------------------------------------------
--function to display the cash for the cas window --
------------------------------------------------------------------------------------------
function DisplayCashForCashWindow(posx, posy, wichOneToDisplay)
	
		local changeColor = false;

		if(wichOneToDisplay < 0)then
			if(settings["sessionCash"]["cashSpent"] > (settings["sessionCash"]["cashSession"] - settings["sessionCash"]["cashSpent"]))then
				cashToDisplay = settings["sessionCash"]["cashSpent"] - settings["sessionCash"]["cashSession"];
				changeColor = true;
			end

			if(settings["sessionCash"]["cashSpent"] < settings["sessionCash"]["cashSession"])then
				cashToDisplay = settings["sessionCash"]["cashSession"] - settings["sessionCash"]["cashSpent"];
			end
		else
			cashToDisplay = wichOneToDisplay;
		end

		gold = math.floor( cashToDisplay / 100000);
		silver = math.floor( cashToDisplay / 100) - gold * 1000;
		copper = cashToDisplay - gold * 100000 - silver * 100;

		LabelGold = Turbine.UI.Label(); 
		LabelGold:SetParent( UIShowCash );
		LabelGold:SetPosition(posx - 100, posy - 70);
		LabelGold:SetSize( 27, 21 );
		LabelGold:SetVisible(true);
		LabelGold:SetBackground(0x41007e7b);
		LabelGold:SetZOrder(-1);
		LabelGold:SetBlendMode( Turbine.UI.BlendMode.Overlay );

		UIShowCash.Message1=Turbine.UI.Label(); 
		UIShowCash.Message1:SetParent(UIShowCash); 
		UIShowCash.Message1:SetSize(120, 30); 
		UIShowCash.Message1:SetPosition(posx - 70, posy - 76); 
		UIShowCash.Message1:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft); 
		UIShowCash.Message1:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold19);
		UIShowCash.Message1:SetText(string.format( "%.0f", gold)); 
		if(changeColor == true)then
			UIShowCash.Message1:SetForeColor(Turbine.UI.Color.Red);
		else
			UIShowCash.Message1:SetForeColor(Turbine.UI.Color.Gold);
		end

		LabelGold = Turbine.UI.Label(); 
		LabelGold:SetParent( UIShowCash );
		LabelGold:SetPosition(posx - 23, posy - 70 );
		LabelGold:SetSize( 27, 21 );
		LabelGold:SetVisible(true);
		LabelGold:SetBackground(0x41007e7c);
		LabelGold:SetZOrder(-1);
		LabelGold:SetBlendMode( Turbine.UI.BlendMode.Overlay );

		UIShowCash.Message2=Turbine.UI.Label();  
		UIShowCash.Message2:SetParent(UIShowCash); 
		UIShowCash.Message2:SetSize(120, 30); 
		UIShowCash.Message2:SetPosition(posx + 7, posy - 76); 
		UIShowCash.Message2:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft); 
		UIShowCash.Message2:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold19);
		UIShowCash.Message2:SetText(string.format( "%.0f", silver));
		if(changeColor == true)then
			UIShowCash.Message2:SetForeColor(Turbine.UI.Color.Red);
		else
			UIShowCash.Message2:SetForeColor(Turbine.UI.Color.Silver);
		end

		LabelGold = Turbine.UI.Label(); 
		LabelGold:SetParent( UIShowCash );
		LabelGold:SetPosition(posx + 54, posy - 70);
		LabelGold:SetSize( 27, 21 );
		LabelGold:SetVisible(true);
		LabelGold:SetBackground(0x41007e7d);
		LabelGold:SetZOrder(-1);
		LabelGold:SetBlendMode( Turbine.UI.BlendMode.Overlay );

		UIShowCash.Message3=Turbine.UI.Label(); 
		UIShowCash.Message3:SetParent(UIShowCash); 
		UIShowCash.Message3:SetSize(120, 30); 
		UIShowCash.Message3:SetPosition(posx + 84, posy - 76); 
		UIShowCash.Message3:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft); 
		UIShowCash.Message3:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold19);
		UIShowCash.Message3:SetText(string.format( "%.0f", copper));
		if(changeColor == true)then
			UIShowCash.Message3:SetForeColor(Turbine.UI.Color.Red);
		else
			UIShowCash.Message3:SetForeColor(Turbine.UI.Color( 0.8, 0.4, 0.2));
		end
		posy = posy + 20;
end
------------------------------------------------------------------------------------------
--function to display the cash of the player in a small label --
------------------------------------------------------------------------------------------
function DisplayLabelCash(i, posx, posy, buttonToDisplay)
	ButtonPlusCash[i] = Turbine.UI.Extensions.SimpleWindow();
	ButtonPlusCash[i]:SetParent( AltHolicWindow );
	ButtonPlusCash[i]:SetPosition(posx + 40 , posy + 25);
	ButtonPlusCash[i]:SetSize( 200, 30 );
	ButtonPlusCash[i]:SetVisible(false);
	ButtonPlusCash[i]:SetZOrder(20);
	ButtonPlusCash[i]:SetBackground(ResourcePath .. "/Cadre_180_30.tga");

	centerLabelCash[i] = Turbine.UI.Label();
	centerLabelCash[i]:SetParent(ButtonPlusCash[i]);
	centerLabelCash[i]:SetPosition( 2, 2 );
	centerLabelCash[i]:SetSize( 196, 26  );
	centerLabelCash[i]:SetFont(Turbine.UI.Lotro.Font.Verdana20);
	centerLabelCash[i]:SetText( "" );
	centerLabelCash[i]:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabelCash[i]:SetZOrder(21);
	centerLabelCash[i]:SetBackColor( Turbine.UI.Color.Black );

	totalCash = PlayerDatas[i].cash;

	gold = math.floor( totalCash / 100000);
	silver = math.floor( totalCash / 100) - gold * 1000;
	copper = totalCash - gold * 100000 - silver * 100;
	local valToAdd = 0;

	if(settings["displaySpentCash"]["value"] == true)then
		valToAdd = 20;
	end

	LabelGold = Turbine.UI.Label(); 
	LabelGold:SetParent( centerLabelCash[i] );
	LabelGold:SetPosition(0, 5);
	LabelGold:SetSize( 27, 21 );
	LabelGold:SetVisible(true);
	LabelGold:SetBackground(0x41007e7b);
	LabelGold:SetZOrder(-1);
	LabelGold:SetBlendMode( Turbine.UI.BlendMode.Overlay );

	AltHolicWindow.Message1=Turbine.UI.Label(); 
	AltHolicWindow.Message1:SetParent(centerLabelCash[i]); 
	AltHolicWindow.Message1:SetSize(120, 30); 
	AltHolicWindow.Message1:SetPosition(30, 0); 
	AltHolicWindow.Message1:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft); 
	AltHolicWindow.Message1:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
	AltHolicWindow.Message1:SetText(string.format( "%.0f", gold)); 
	AltHolicWindow.Message1:SetForeColor(Turbine.UI.Color.Gold);

	LabelGold = Turbine.UI.Label(); 
	LabelGold:SetParent( centerLabelCash[i] );
	LabelGold:SetPosition(60, 5);
	LabelGold:SetSize( 27, 21 );
	LabelGold:SetVisible(true);
	LabelGold:SetBackground(0x41007e7c);
	LabelGold:SetZOrder(-1);
	LabelGold:SetBlendMode( Turbine.UI.BlendMode.Overlay );

	AltHolicWindow.Message2=Turbine.UI.Label();  
	AltHolicWindow.Message2:SetParent(centerLabelCash[i]); 
	AltHolicWindow.Message2:SetSize(120, 30); 
	AltHolicWindow.Message2:SetPosition(90, 0); 
	AltHolicWindow.Message2:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft); 
	AltHolicWindow.Message2:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
	AltHolicWindow.Message2:SetText(string.format( "%.0f", silver));
	AltHolicWindow.Message2:SetForeColor(Turbine.UI.Color.Silver);

	LabelGold = Turbine.UI.Label(); 
	LabelGold:SetParent( centerLabelCash[i] );
	LabelGold:SetPosition(130, 5);
	LabelGold:SetSize( 27, 21 );
	LabelGold:SetVisible(true);
	LabelGold:SetBackground(0x41007e7d);
	LabelGold:SetZOrder(-1);
	LabelGold:SetBlendMode( Turbine.UI.BlendMode.Overlay );

	AltHolicWindow.Message3=Turbine.UI.Label(); 
	AltHolicWindow.Message3:SetParent(centerLabelCash[i]); 
	AltHolicWindow.Message3:SetSize(120, 30); 
	AltHolicWindow.Message3:SetPosition(160, 0); 
	AltHolicWindow.Message3:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft); 
	AltHolicWindow.Message3:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
	AltHolicWindow.Message3:SetText(string.format( "%.0f", copper));
	AltHolicWindow.Message3:SetForeColor(Turbine.UI.Color( 0.8, 0.4, 0.2));
	--- end of cash displayer

	buttonToDisplay.MouseEnter = function()
		ButtonPlusCash[i]:SetVisible(true);
	end

	buttonToDisplay.MouseLeave = function()
		ButtonPlusCash[i]:SetVisible(false);
	end
end
------------------------------------------------------------------------------------------
--function to display the cash window --
------------------------------------------------------------------------------------------
function DisplayCashWindow(posx, posy)
	buttonDefineCashTotal = Turbine.UI.Extensions.SimpleWindow();
	buttonDefineCashTotal:SetParent( AltHolicWindow );
	buttonDefineCashTotal:SetPosition(posx, posy);
	buttonDefineCashTotal:SetSize( 32, 32 );
	buttonDefineCashTotal:SetVisible(true);
	buttonDefineCashTotal:SetZOrder(30);

	buttonDefineCashTotal.MouseEnter = function()
		CreateUIShowCash(namePlayerToshow);
		UIShowCash:SetVisible(true);
	end

	buttonDefineCashTotal.MouseLeave = function()
		UIShowCash:SetVisible(false);
	end
end
------------------------------------------------------------------------------------------
--function to display button for add new --
------------------------------------------------------------------------------------------
function DisplayLabel(val, positionLabelVert, positionLabelHori, textLabel, imageButton)
	
	buttonPlus[val] = Turbine.UI.Extensions.SimpleWindow();
	buttonPlus[val]:SetParent( AltHolicWindow );
	buttonPlus[val]:SetPosition(positionLabelVert, positionLabelHori);
	buttonPlus[val]:SetSize( 15, 15 );
	buttonPlus[val]:SetVisible(true);

	centerLabelB[val] = Turbine.UI.Label();
	centerLabelB[val]:SetParent(buttonPlus[val]);
	centerLabelB[val]:SetPosition( 0, 0 );
	centerLabelB[val]:SetSize( 20, 20  );
	centerLabelB[val]:SetBackground(ResourcePath .. imageButton);
	centerLabelB[val]:SetZOrder(-1);
	centerLabelB[val]:SetMouseVisible(false);

	ButtonPlusLabel[val] = Turbine.UI.Extensions.SimpleWindow();
	ButtonPlusLabel[val]:SetParent( AltHolicWindow );
	ButtonPlusLabel[val]:SetPosition(positionLabelVert + 25 , positionLabelHori - 5);
	ButtonPlusLabel[val]:SetSize( 180, 30 );
	ButtonPlusLabel[val]:SetZOrder(10000);
	ButtonPlusLabel[val]:SetVisible(false);
	ButtonPlusLabel[val]:SetBackground(ResourcePath .. "/Cadre_180_30.tga");

	centerLabelBLabel[val] = Turbine.UI.Label();
	centerLabelBLabel[val]:SetParent(ButtonPlusLabel[val]);
	centerLabelBLabel[val]:SetPosition( 2, 2 );
	centerLabelBLabel[val]:SetSize( 176, 26  );
	centerLabelBLabel[val]:SetText( textLabel );
	centerLabelBLabel[val]:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabelBLabel[val]:SetZOrder(-1);
	centerLabelBLabel[val]:SetBackColor( Turbine.UI.Color( .6, .1, .4, .9) );

	buttonPlus[val].MouseEnter = function()
		ButtonPlusLabel[val]:SetVisible(true);
	end

	buttonPlus[val].MouseLeave = function()
		ButtonPlusLabel[val]:SetVisible(false);
	end

	if(val == 1)then
		buttonPlus[val].MouseClick = function()
			CreateAddNewWindow();
			AltHolicWindow:SetVisible(false);
			AltHolicAddnewWindow:SetVisible(true);
		end
	end
end
------------------------------------------------------------------------------------------
-- display the list of command
------------------------------------------------------------------------------------------
function commandsHelp()
	notification(
		rgb["start"] .. 
		Strings.PluginHelp1 ..
		rgb["clear"] ..
		Strings.PluginHelp2 ..
		Strings.PluginHelp3 ..
		Strings.PluginHelp4 ..
		Strings.PluginHelp5 ..
		Strings.PluginHelp6 
	);
end
------------------------------------------------------------------------------------------
--function that resize the main window depending on how many charcater are saved --
------------------------------------------------------------------------------------------
function UpdateMainWindow()
	AltHolicWindow:SetVisible(false);
	if(settings["nameAccount"]["account1"]["nbrAlt"] == 0 or settings["nameAccount"]["account1"]["isVisible"] == false)then
		if(settings["displaySpentCash"]["value"] == true)then
			CreateMainWindow(380, 210);
		else
			CreateMainWindow(380, 150);
		end
		AltHolicWindow:SetVisible(settings["isWindowVisible"]["isWindowVisible"]);
	else
		if(settings["displaySpentCash"]["value"] == true)then
			winHeight = (settings["nameAccount"]["account1"]["nbrAlt"] * 46) + 210;
			if(winHeight < 210)then
				winHeight = 200;
			end
		else
			winHeight = (settings["nameAccount"]["account1"]["nbrAlt"] * 46) + 150;
			if(winHeight < 150)then
				winHeight = 200;
			end
		end
		CreateMainWindow(380, winHeight);
		AltHolicWindow:SetVisible(settings["isWindowVisible"]["isWindowVisible"]);
	end
end
------------------------------------------------------------------------------------------
--function to display the equipment window --
------------------------------------------------------------------------------------------
function DisplayEquipment(posx, posy, nameToShow, alignement)
	local equipMent = Turbine.Gameplay.LocalPlayer:GetInstance():GetEquipment();
	local equip = { };

	local nbrItems = 0;
	for j=1, 20 do
		equip[j] = equipMent:GetItem(j);
	end

	buttonDefineHouseLocationPersonalFaux2 = Turbine.UI.Extensions.SimpleWindow();
	buttonDefineHouseLocationPersonalFaux2:SetParent( AltHolicWindow );
	buttonDefineHouseLocationPersonalFaux2:SetPosition(posx - 3, posy);
	buttonDefineHouseLocationPersonalFaux2:SetSize( 32, 32 );
	buttonDefineHouseLocationPersonalFaux2:SetVisible(true);
	buttonDefineHouseLocationPersonalFaux2:SetZOrder(30);

	buttonDefineHouseLocationPersonalFaux2.MouseClick = function()	
		if(settings["isShowEquipmentVisible"]["isShowEquipmentVisible"] == true )then
			settings["isShowEquipmentVisible"]["isShowEquipmentVisible"] = false;
			UIShowEquip:SetVisible(false);
		else
			settings["isShowEquipmentVisible"]["isShowEquipmentVisible"] = true;
			SavePlayerEquipment();
			CreateUIShowEquip(nameToShow, alignement);
			UIShowEquip:SetVisible(true);
		end
	end
	--[[
	buttonDefineHouseLocationPersonalFaux2.MouseEnter = function()
		SavePlayerEquipment();
		CreateUIShowEquip(nameToShow);
		UIShowEquip:SetVisible(true);
	end

	buttonDefineHouseLocationPersonalFaux2.MouseLeave = function()
		UIShowEquip:SetVisible(false);
	end
	]]--
end
------------------------------------------------------------------------------------------
--function to display the small label for vocation --
------------------------------------------------------------------------------------------
function DisplaySmallLabel(i, posx, posy, texte)
	recipeTrackerIsInstalled = false;
	if(i == nil)then
		i=1;
	end

	buttonDefineHouseLocationPersonalFaux = Turbine.UI.Extensions.SimpleWindow();
	buttonDefineHouseLocationPersonalFaux:SetParent( AltHolicWindow );
	buttonDefineHouseLocationPersonalFaux:SetPosition(posx, posy);
	buttonDefineHouseLocationPersonalFaux:SetSize( 45, 45 );
	buttonDefineHouseLocationPersonalFaux:SetVisible(true);
	buttonDefineHouseLocationPersonalFaux:SetZOrder(19);

	ButtonPlusVoc[i] = Turbine.UI.Extensions.SimpleWindow();
	ButtonPlusVoc[i]:SetParent( AltHolicWindow );
	ButtonPlusVoc[i]:SetPosition(posx + 40 , posy - 5);
	ButtonPlusVoc[i]:SetSize( 180, 30 );
	ButtonPlusVoc[i]:SetVisible(false);
	ButtonPlusVoc[i]:SetZOrder(20);
	ButtonPlusVoc[i]:SetBackground(ResourcePath .. "/Cadre_180_30.tga");

	centerLabelBVoc[i] = Turbine.UI.Label();
	centerLabelBVoc[i]:SetParent(ButtonPlusVoc[i]);
	centerLabelBVoc[i]:SetPosition( 2, 2 );
	centerLabelBVoc[i]:SetSize( 176, 26  );
	centerLabelBVoc[i]:SetFont(Turbine.UI.Lotro.Font.Verdana20);
	centerLabelBVoc[i]:SetText( texte );
	centerLabelBVoc[i]:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabelBVoc[i]:SetZOrder(21);
	centerLabelBVoc[i]:SetBackColor( Turbine.UI.Color( .8, .1, .4, .9) );

	local tmpPlugins=Turbine.PluginManager.GetAvailablePlugins();
	local pluginIndex;
	RecipeTracker=0
	for pluginIndex=1,#tmpPlugins do
		if tmpPlugins[pluginIndex].Name=="RecipeTracker v2" then
			recipeTrackerIsInstalled = true;
			break;
		end
	end

	if(recipeTrackerIsInstalled == true)then
		releaseWindow = Turbine.UI.Extensions.SimpleWindow();
		releaseWindow:SetSize( 45, 45 );
		releaseWindow:SetParent( buttonDefineHouseLocationPersonalFaux );
		releaseWindow:SetPosition(4, 2);
		releaseWindow:SetOpacity( 0 );
		releaseWindow:SetFadeSpeed( 0.5 );
		releaseWindow:SetVisible( true );

		releaseQSBack = Turbine.UI.Control();
		releaseQSBack:SetParent( releaseWindow );
		releaseQSBack:SetZOrder(-1);
		releaseQSBack:SetSize( 45, 45 );

		releaseQS = Turbine.UI.Lotro.Quickslot();
		releaseQS:SetParent(  releaseQSBack );
		releaseQS:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias, "/recipetracker show"));
		releaseQS:SetSize( 45, 45 );
		releaseQS:SetPosition( 4, 2 );
		releaseQS:SetAllowDrop(false);
		releaseQS:SetOpacity( 0 );
		releaseQS:SetZOrder(-1);
	end

	buttonDefineHouseLocationPersonalFaux.MouseEnter = function()
		ButtonPlusVoc[i]:SetVisible(true);
	end

	buttonDefineHouseLocationPersonalFaux.MouseLeave = function()
		ButtonPlusVoc[i]:SetVisible(false);
	end
end
------------------------------------------------------------------------------------------
--function to display the small label for vocation --
------------------------------------------------------------------------------------------
function DisplayLabelCadre(i, posx, posy, texte, buttonToDisplay)

	ButtonPlusLab[i] = Turbine.UI.Extensions.SimpleWindow();
	ButtonPlusLab[i]:SetParent( AltHolicWindow );
	ButtonPlusLab[i]:SetPosition(posx + 40 , posy - 5);
	ButtonPlusLab[i]:SetSize( 180, 30 );
	ButtonPlusLab[i]:SetVisible(false);
	ButtonPlusLab[i]:SetZOrder(20);
	ButtonPlusLab[i]:SetBackground(ResourcePath .. "/Cadre_180_30.tga");

	centerLabelBLab[i] = Turbine.UI.Label();
	centerLabelBLab[i]:SetParent(ButtonPlusLab[i]);
	centerLabelBLab[i]:SetPosition( 2, 2 );
	centerLabelBLab[i]:SetSize( 176, 26  );
	centerLabelBLab[i]:SetFont(Turbine.UI.Lotro.Font.Verdana20);
	centerLabelBLab[i]:SetText( texte );
	centerLabelBLab[i]:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabelBLab[i]:SetZOrder(21);
	centerLabelBLab[i]:SetBackColor( Turbine.UI.Color( .8, .1, .4, .9) );

	buttonToDisplay.MouseEnter = function()
		ButtonPlusLab[i]:SetVisible(true);
	end

	buttonToDisplay.MouseLeave = function()
		ButtonPlusLab[i]:SetVisible(false);
	end
end
------------------------------------------------------------------------------------------
-- Closing window handler
------------------------------------------------------------------------------------------
function ClosingTheWindow()
	function AltHolicWindow:Closing(sender, args)
		settings["isWindowVisible"]["isWindowVisible"] = false;
	end
end
function ClosingTheWindowBag()
	function UIShowBag:Closing(sender, args)
		settings["isShowBagVisible"]["isShowBagVisible"] = false;
	end
end
function ClosingTheWindowVault()
	function UIShowVault:Closing(sender, args)
		settings["isShowVaultVisible"]["isShowVaultVisible"] = false;
	end
end
function ClosingTheWindowSharedStorage()
	function UIShowSharedStorage:Closing(sender, args)
		settings["isShowSharedStorageVisible"]["isShowSharedStorageVisible"] = false;
	end
end
function ClosingTheWindowEquipment()
	function UIShowEquip:Closing(sender, args)
		settings["isShowEquipmentVisible"]["isShowEquipmentVisible"] = false;
	end
end
function ClosingTheWindowSearch()
	function UIShowSearch:Closing(sender, args)
		settings["isSearchWindowVisible"]["isSearchWindowVisible"] = false;
	end
end
function ClosingTheWindowOptions()
	function OptionsWindow:Closing(sender, args)
		settings["isOptionsWindowVisible"]["isOptionsWindowVisible"] = false;
	end
end
------------------------------------------------------------------------------------------
--function to update the lvl of the player --
------------------------------------------------------------------------------------------
function UpdateLvl()
	local NewLvl = Player:GetLevel();

	if(settings["nameAccount"]["account1"]["nbrAlt"] >= 1)then
		if(PlayerDatas[PlayerName].lvl < NewLvl)then
			PlayerDatas[PlayerName].lvl = NewLvl;
			settings["nameAccount"]["account1"]["isVisible"] = false;
			UpdateMainWindow();
		end
	end
end
------------------------------------------------------------------------------------------
--function to display the cash of the player --
------------------------------------------------------------------------------------------
function UpdateCash()
	local NewCash =  PlayerAttr:GetMoney();

	if(settings["nameAccount"]["account1"]["nbrAlt"] >= 1)then
		if(PlayerDatas[PlayerName].cash < NewCash)then
			settings["sessionCash"]["cashSession"] = settings["sessionCash"]["cashSession"] + (NewCash - PlayerDatas[PlayerName].cash);
			PlayerDatas[PlayerName].cash = NewCash;
			--settings["nameAccount"]["account1"]["isVisible"] = false;
			UpdateMainWindow();
		elseif(PlayerDatas[PlayerName].cash > NewCash)then
			settings["sessionCash"]["cashSpent"] = settings["sessionCash"]["cashSpent"] + (PlayerDatas[PlayerName].cash - NewCash);
			PlayerDatas[PlayerName].cash = NewCash;
			--settings["nameAccount"]["account1"]["isVisible"] = false;
			UpdateMainWindow();
		end
	end
end