------------------------------------------------------------------------------------------
-- OptionWindow file
-- Written by Homeopatix
-- 26 january 2021
------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------
-- define size of the window
------------------------------------------------------------------------------------------
local windowWidth = 0;
local windowHeight = 0;

windowWidth = 400;
windowHeight = 400;
------------------------------------------------------------------------------------------
-- create the options window
------------------------------------------------------------------------------------------
function GenerateOptionsWindow()
		OptionsWindow=Turbine.UI.Lotro.GoldWindow(); 
		OptionsWindow:SetSize(windowWidth, windowHeight); 
		OptionsWindow:SetText(Strings.PluginOptionsText); 

		OptionsWindow.Message=Turbine.UI.Label(); 
		OptionsWindow.Message:SetParent(OptionsWindow); 
		OptionsWindow.Message:SetSize(150,10); 
		OptionsWindow.Message:SetPosition(windowWidth/2 - 75, windowHeight - 17 ); 
		OptionsWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
		OptionsWindow.Message:SetText(Strings.PluginText); 

		OptionsWindow:SetZOrder(0);
		OptionsWindow:SetWantsKeyEvents(true);

		OptionsWindow:SetPosition((Turbine.UI.Display:GetWidth()-OptionsWindow:GetWidth())/2,(Turbine.UI.Display:GetHeight()-OptionsWindow:GetHeight())/2);

		OptionsWindow:SetVisible(false);
		------------------------------------------------------------------------------------------
		-- option panel --
		------------------------------------------------------------------------------------------

		OptionsWindow.Message=Turbine.UI.Label(); 
			OptionsWindow.Message:SetParent(OptionsWindow); 
			OptionsWindow.Message:SetSize(300, 40); 
			OptionsWindow.Message:SetPosition(windowWidth/2 - 150, windowHeight/2 - 100 ); 
			OptionsWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
			OptionsWindow.Message:SetFont(Turbine.UI.Lotro.Font.Verdana16);
			OptionsWindow.Message:SetText(Strings.PluginOption1); 


			checkBoxKeep = Turbine.UI.Lotro.CheckBox();
			checkBoxKeep:SetParent( OptionsWindow );
			checkBoxKeep:SetSize(250, 40); 
			checkBoxKeep:SetFont(Turbine.UI.Lotro.Font.Verdana16);
			checkBoxKeep:SetText(Strings.PluginOption2);
			checkBoxKeep:SetPosition(windowWidth/2 - 75, windowHeight/2 - 75);
			checkBoxKeep:SetVisible(true);
			if(settings["verbose"]["value"] == true)then
				checkBoxKeep:SetChecked(true);
			else
				checkBoxKeep:SetChecked(false);
			end
			checkBoxKeep:SetForeColor( Turbine.UI.Color( 0.7, 0.6, 0.2 ));

			-- spentcash
			OptionsWindow.Message=Turbine.UI.Label(); 
			OptionsWindow.Message:SetParent(OptionsWindow); 
			OptionsWindow.Message:SetSize(300, 40); 
			OptionsWindow.Message:SetPosition(windowWidth/2 - 150, windowHeight/2 - 30); 
			OptionsWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
			OptionsWindow.Message:SetFont(Turbine.UI.Lotro.Font.Verdana16);
			OptionsWindow.Message:SetText(Strings.PluginOption3); 


			checkBoxSpent = Turbine.UI.Lotro.CheckBox();
			checkBoxSpent:SetParent( OptionsWindow );
			checkBoxSpent:SetSize(250, 40); 
			checkBoxSpent:SetFont(Turbine.UI.Lotro.Font.Verdana16);
			checkBoxSpent:SetText(Strings.PluginOption4);
			checkBoxSpent:SetPosition(windowWidth/2 - 75, windowHeight/2 + 5);
			checkBoxSpent:SetVisible(true);
			if(settings["displaySpentCash"]["value"] == true)then
				checkBoxSpent:SetChecked(true);
			else
				checkBoxSpent:SetChecked(false);
			end
			checkBoxSpent:SetForeColor( Turbine.UI.Color( 0.7, 0.6, 0.2 ));

			-- class bags
			OptionsWindow.Message=Turbine.UI.Label(); 
			OptionsWindow.Message:SetParent(OptionsWindow); 
			OptionsWindow.Message:SetSize(300, 40); 
			OptionsWindow.Message:SetPosition(windowWidth/2 - 150, windowHeight/2 + 50); 
			OptionsWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
			OptionsWindow.Message:SetFont(Turbine.UI.Lotro.Font.Verdana16);
			OptionsWindow.Message:SetText(Strings.PluginOption5); 


			checkBoxClassBag = Turbine.UI.Lotro.CheckBox();
			checkBoxClassBag:SetParent( OptionsWindow );
			checkBoxClassBag:SetSize(250, 40); 
			checkBoxClassBag:SetFont(Turbine.UI.Lotro.Font.Verdana16);
			checkBoxClassBag:SetText(Strings.PluginOption4);
			checkBoxClassBag:SetPosition(windowWidth/2 - 75, windowHeight/2 + 85);
			checkBoxClassBag:SetVisible(true);
			if(settings["displayClassBags"]["value"] == true)then
				checkBoxClassBag:SetChecked(true);
			else
				checkBoxClassBag:SetChecked(false);
			end
			checkBoxClassBag:SetForeColor( Turbine.UI.Color( 0.7, 0.6, 0.2 ));



			buttonValider = Turbine.UI.Lotro.GoldButton();
			buttonValider:SetParent( OptionsWindow );
			buttonValider:SetPosition(windowWidth/2 - 125,  windowHeight - 50);
			buttonValider:SetSize( 300, 20 );
			buttonValider:SetFont(Turbine.UI.Lotro.Font.Verdana16);
			buttonValider:SetText( Strings.PluginOptionValidate );
			buttonValider:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
			buttonValider:SetVisible(true);
			buttonValider:SetMouseVisible(true);


		ValidateChangesOptions();
		ClosingTheWindowOptions();
end
------------------------------------------------------------------------------------------
-- boutton valider
------------------------------------------------------------------------------------------
function ValidateChangesOptions()
	buttonValider.MouseClick = function(sender, args)
			if (checkBoxKeep:IsChecked()) then
				settings["verbose"]["value"] = true;
			else
				settings["verbose"]["value"] = false;
			end

			if (checkBoxSpent:IsChecked()) then
				settings["displaySpentCash"]["value"] = true;
			else
				settings["displaySpentCash"]["value"] = false;
			end

			if (checkBoxClassBag:IsChecked()) then
				settings["displayClassBags"]["value"] = true;
			else
				settings["displayClassBags"]["value"] = false;
			end

			if(settings["verbose"]["value"] == true)then
				Turbine.Shell.WriteLine(rgb["start"] .. Strings.PluginName .. rgb["clear"] .. " - " .. Strings.PluginOptionNotificationsActivated);
				if(settings["displaySpentCash"]["value"] == true)then
					Turbine.Shell.WriteLine(rgb["start"] .. Strings.PluginName .. rgb["clear"] .. " - " .. Strings.PluginOptionSpentCashActivated);
				else
					Turbine.Shell.WriteLine(rgb["start"] .. Strings.PluginName .. rgb["clear"] .. " - " .. Strings.PluginOptionSpentCashDeactivated);
				end
			else
				Turbine.Shell.WriteLine(rgb["start"] .. Strings.PluginName .. rgb["clear"] .. " - " .. Strings.PluginOptionNotificationsDeactivated);
			end

			OptionsWindow:SetVisible(false);
			settings["isOptionsWindowVisible"]["isOptionsWindowVisible"] = false;
			UpdateMainWindow();
			settings["isWindowVisible"]["isWindowVisible"] = true;
			AltHolicWindow:SetVisible(true);
		end
end